#

API Docs for: v2.11.1
Show: Inherited Protected Private Deprecated

# Ember.Test.QUnitAdapter Class

Extends Ember.Test.Adapter
Defined in: `packages/ember-testing/lib/adapters/qunit.js:4`
Module: ember

This class implements the methods defined by Ember.Test.Adapter for the QUnit testing framework.

- Index
- Methods

## Item Index

### Methods

- asyncEnd
- asyncStart
- exception

## Methods

### `asyncEnd`

() public

Inherited from Ember.Test.Adapter: `packages/ember-testing/lib/adapters/adapter.js:30`

This callback will be called whenever an async operation has completed.

### `asyncStart`

() public

Inherited from Ember.Test.Adapter: `packages/ember-testing/lib/adapters/adapter.js:19`

This callback will be called whenever an async operation is about to start.

Override this to call your framework's methods that handle async operations.

### `exception`

(

- `error`

)
public

Inherited from Ember.Test.Adapter: `packages/ember-testing/lib/adapters/adapter.js:38`

Override this method with your testing framework's false assertion. This function is called whenever an exception occurs causing the testing promise to fail.

QUnit example:

      exception: function(error) {
        ok(false, error);
      };

#### Parameters:

- `error` String

  The exception to be raised.